## dbus 1.15.90

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9)

# we do not need to have WIN32 defined
set(CMAKE_LEGACY_CYGWIN_WIN32 0)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")

# detect version
include(MacrosMeson)
meson_init(meson.build)
meson_version(dbus)
set(DBUS_PATCH_VERSION 0)
set(VERSION "${DBUS_VERSION}")

if(WIN32)
    set(LANGUAGES C CXX)
else()
    set(LANGUAGES C)
endif()
project(dbus
    VERSION ${DBUS_VERSION}
    LANGUAGES C CXX
)

option(DBUS_BUILD_TESTS "enable unit test code" ON)

# replacement for AC_C_BIGENDIAN
include (TestBigEndian)
test_big_endian(WORDS_BIGENDIAN)

include(Macros)
string(TIMESTAMP DBUS_BUILD_TIMESTAMP "%Y%m%d%H%M" UTC)
set(BUILD_FILEVERSION ${DBUS_MAJOR_VERSION},${DBUS_MINOR_VERSION},${DBUS_MICRO_VERSION},${DBUS_PATCH_VERSION})
set(BUILD_TIMESTAMP ${DBUS_BUILD_TIMESTAMP})

########### basic vars ###############

if(UNIX AND CMAKE_SYSTEM_NAME STREQUAL "Linux")
    set(DBUS_LINUX 1)
endif()

include(GNUInstallDirs)

if(DBUSDIR)
    set(DBUS_INSTALL_DIR "${DBUSDIR}")
endif()
if($ENV{DBUSDIR})
    set(DBUS_INSTALL_DIR "$ENV{DBUSDIR}")
endif()

if(DBUS_INSTALL_DIR)
    set(CMAKE_INSTALL_PREFIX "${DBUS_INSTALL_DIR}" CACHE PATH "install prefix" FORCE)
else(DBUS_INSTALL_DIR)
    set(DBUS_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}")
endif()

set(DBUS_PREFIX ${DBUS_INSTALL_DIR})

set(prefix                   ${DBUS_INSTALL_DIR})
set(exec_prefix              ${prefix})
set(DBUS_MACHINE_UUID_FILE   ${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/lib/dbus/machine-id)
set(DBUS_BINDIR              ${CMAKE_INSTALL_FULL_BINDIR})
set(DBUS_DAEMONDIR           ${CMAKE_INSTALL_FULL_BINDIR})
set(DBUS_LOCALSTATEDIR       ${CMAKE_INSTALL_FULL_LOCALSTATEDIR})
set(DBUS_RUNSTATEDIR         ${CMAKE_INSTALL_FULL_RUNSTATEDIR})

# On Windows this is relative to where we put the bus setup, in
# ${datadir}/dbus-1. For simplicity, we only do this if
# ${sysconfdir} = ${prefix}/etc and ${datadir} = ${prefix}/share.
#
# On Unix, or on Windows with weird install layouts, it's the absolute path.
if(WIN32 AND ${CMAKE_INSTALL_FULL_SYSCONFDIR} STREQUAL ${prefix}/etc AND ${CMAKE_INSTALL_FULL_DATADIR} STREQUAL ${prefix}/share)
set(SYSCONFDIR_FROM_PKGDATADIR ../../etc)
set(DATADIR_FROM_PKGSYSCONFDIR ../../share)
else()
set(SYSCONFDIR_FROM_PKGDATADIR ${CMAKE_INSTALL_FULL_SYSCONFDIR})
set(DATADIR_FROM_PKGSYSCONFDIR ${CMAKE_INSTALL_FULL_DATADIR})
endif()

option(DBUS_RELOCATABLE "Attempt to make metadata relocatable" ON)
option(DBUS_ENABLE_PKGCONFIG "Enable pkgconfig support" ON)
option(ENABLE_VERBOSE_CONFIG "Be verbose on generating config files" OFF)

# For simplicity, we're not relocatable if CMAKE_INSTALL_LIBDIR
# is something more complicated (e.g. Debian multiarch);
# we don't want to have to compute how many ../ to add
if(CMAKE_INSTALL_LIBDIR STREQUAL "lib" OR CMAKE_INSTALL_LIBDIR STREQUAL "lib64")
    # We know we can use ../ to get to the prefix. Do nothing.
elseif(DBUS_RELOCATABLE)
    # Sorry, it's too hard to make this particular build relocatable
    message("Unusual CMAKE_INSTALL_LIBDIR: the generated package will not be relocatable.")
    set(DBUS_RELOCATABLE OFF)
endif()

# used in the C code
set(DBUS_LIBEXECDIR          ${CMAKE_INSTALL_FULL_LIBEXECDIR})
set(DBUS_DATADIR             ${CMAKE_INSTALL_FULL_DATADIR})

#enable building of shared library
set(BUILD_SHARED_LIBS ON)

set(INSTALL_TARGETS_DEFAULT_ARGS EXPORT DBus1Targets RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

if(CYGWIN)
    # TODO cygwin is not using WIN32 api
    set(WIN32)
endif()

# search for required packages
if(WIN32)
    # include local header first to avoid using old installed header
    set(CMAKE_INCLUDE_PATH ${CMAKE_INCLUDE_PATH} ${PROJECT_SOURCE_DIR})
    include(Win32Macros)
    addExplorerWrapper(${CMAKE_PROJECT_NAME})
endif()

if(NOT WIN32)
    set(CMAKE_THREAD_PREFER_PTHREAD ON)
    include(FindThreads)
endif()

option(DBUS_DISABLE_ASSERT "Disable assertion checking" OFF)

option(DBUS_ENABLE_STATS "enable bus daemon usage statistics" OFF)
option(ENABLE_TRADITIONAL_ACTIVATION "Enable traditional activation (without using systemd)" ON)

find_package(PkgConfig)

if(DBUS_LINUX)
    add_auto_option(ENABLE_SYSTEMD "build with systemd at_console support" AUTO)
    if (NOT PKG_CONFIG_FOUND)
        message(SEND_ERROR "pkg-config not found, this is required on Linux systems")
    endif()
    pkg_check_modules(SYSTEMD libsystemd>=209)
    if(NOT SYSTEMD_FOUND)
        pkg_check_modules(SYSTEMD libsystemd-login>=32 libsystemd-daemon>=32 libsystemd-journal>=32)
    endif()
    check_auto_option(ENABLE_SYSTEMD "systemd support" SYSTEMD_FOUND "systemd")
    if(ENABLE_SYSTEMD AND SYSTEMD_FOUND)
        set(DBUS_BUS_ENABLE_SYSTEMD ON)
        set(HAVE_SYSTEMD ${SYSTEMD_FOUND})
    endif()
    option(ENABLE_USER_SESSION "enable user-session semantics for session bus under systemd" OFF)
    set(DBUS_ENABLE_USER_SESSION ${ENABLE_USER_SESSION})

    add_path_option(WITH_SYSTEMD_SYSTEMUNITDIR "Directory for systemd service files" "")
    add_path_option(WITH_SYSTEMD_USERUNITDIR "Directory for systemd user service files" "")
    # get defaults
    pkg_check_modules(_SYSTEMD systemd)
    if(_SYSTEMD_FOUND)
        pkg_get_variable(_SYSTEMD_PREFIX systemd prefix)
        pkg_get_variable(_SYSTEMD_SYSTEMUNITDIR systemd systemdsystemunitdir)
        pkg_get_variable(_SYSTEMD_USERUNITDIR systemd systemduserunitdir)
        # remove install prefix, which may not match the current prefix
        string(REPLACE "${_SYSTEMD_PREFIX}/" "" DBUS_SYSTEMD_SYSTEMUNITDIR ${_SYSTEMD_SYSTEMUNITDIR})
        string(REPLACE "${_SYSTEMD_PREFIX}/" "" DBUS_SYSTEMD_USERUNITDIR ${_SYSTEMD_USERUNITDIR})
    else()
        set(DBUS_SYSTEMD_SYSTEMUNITDIR lib/systemd/system)
        set(DBUS_SYSTEMD_USERUNITDIR lib/systemd/user)
    endif()
    if(WITH_SYSTEMD_SYSTEMUNITDIR)
        set(DBUS_SYSTEMD_SYSTEMUNITDIR ${WITH_SYSTEMD_SYSTEMUNITDIR})
    endif()
    if(WITH_SYSTEMD_USERUNITDIR)
        set(DBUS_SYSTEMD_USERUNITDIR ${WITH_SYSTEMD_USERUNITDIR})
    endif()
endif()

if(NOT ENABLE_TRADITIONAL_ACTIVATION AND NOT (DBUS_LINUX AND DBUS_BUS_ENABLE_SYSTEMD))
    message(WARNING "\
Traditional activation and systemd activation are both disabled, so service \
activation (automatically starting services that receive messages) will not work. \
    ")
endif()

if(WIN32)
    set(FD_SETSIZE "8192" CACHE STRING "The maximum number of connections that can be handled at once")
endif()

find_package(EXPAT)
find_package(X11)
find_package(GLIB2)
if(GLIB2_FOUND)
    option(DBUS_WITH_GLIB "build with glib" ON)
endif()

# analogous to AC_USE_SYSTEM_EXTENSIONS in configure.ac
set(_GNU_SOURCE 1)

# do config checks
include(ConfigureChecks)

# make some more macros available
include(MacroLibrary)

if(MSVC)
    # controll folders in msvc projects
    include(ProjectSourceGroup)
    if(NOT GROUP_CODE)
        #set(GROUP_CODE split) #cmake default
        set(GROUP_CODE flat)
    endif()
    add_definitions(-D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE)
    string(APPEND CMAKE_C_FLAGS_DEBUG " /FIconfig.h")
    string(APPEND CMAKE_C_FLAGS_RELEASE " /FIconfig.h")
    option(DBUS_MSVC_ANALYZE "Enable code analyzing for MSVC compiler: /analyze" OFF)
endif()

#
# setup warnings
#
if(NOT MSVC)
    # We're treating -fno-common like a warning: it makes the linker more
    # strict, because on some systems the linker is *always* this strict
    string(APPEND CMAKE_C_FLAGS " -fno-common")
    string(APPEND CMAKE_CXX_FLAGS " -fno-common")
endif()

option(ENABLE_WERROR "Unconditionally make all compiler warnings fatal" OFF)

if(MSVC)
    # Use the highest warning level
    if(WALL)
        set(WALL 1 CACHE STRING "all warnings"  FORCE)
        set(CMAKE_CXX_WARNING_LEVEL 4 CACHE STRING "warning level" FORCE)
        if(CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
            string(REGEX REPLACE "/W[0-4]" "/W4" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
        else()
            string(APPEND CMAKE_CXX_FLAGS " /W4")
        endif()

        if(CMAKE_C_FLAGS MATCHES "/W[0-4]")
            string(REGEX REPLACE "/W[0-4]" "/W4" CMAKE_C_FLAGS "${CMAKE_C_FLAGS}")
        else()
            string(APPEND CMAKE_C_FLAGS " /W4")
        endif()
    else()
        set(CMAKE_CXX_WARNING_LEVEL 3 CACHE STRING "warning level" FORCE)
    endif()

    # see https://msdn.microsoft.com/en-us/library/z78503e6.aspx
    # 4018 'expression' : signed/unsigned mismatch
    set(WARNINGS 4018)
    # 4090 'operation' : different 'modifier' qualifiers
    # 4101 'identifier' : unreferenced local variable
    # 4127 conditional expression is constant
    # 4244 'argument' : conversion from 'type1' to 'type2', possible loss of data
    set(WARNINGS_DISABLED 4090 4101 4127 4244)
    # 4002 too many actual parameters for macro 'identifier'
    # 4003 not enough actual parameters for macro 'identifier'
    # 4013 'function' undefined; assuming extern returning int
    # 4028 formal parameter 'number' different from declaration
    # 4031 second formal parameter list longer than the first list
    # 4047 operator' : 'identifier1' differs in levels of indirection from 'identifier2'
    # 4114 same type qualifier used more than once
    # 4133 'type' : incompatible types - from 'type1' to 'type2'
    set(WARNINGS_ERRORS 4002 4003 4013 4028 4031 4047 4114 4133)
    if(DBUS_MSVC_ANALYZE AND MSVC_VERSION GREATER 1600)
        string(APPEND CMAKE_C_FLAGS " /analyze")
    endif()
else()
    set(WARNINGS
        all
        array-bounds
        cast-align
        char-subscripts
        declaration-after-statement
        double-promotion
        duplicated-branches
        duplicated-cond
        extra
        float-equal
        format-nonliteral
        format-security
        format=2
        implicit-function-declaration
        init-self
        inline
        jump-misses-init
        logical-op
        missing-declarations
        missing-format-attribute
        missing-include-dirs
        missing-noreturn
        missing-prototypes
        nested-externs
        no-error=missing-field-initializers
        no-error=unused-label
        no-error=unused-parameter
        no-missing-field-initializers
        no-unused-label
        no-unused-parameter
        null-dereference
        old-style-definition
        packed
        pointer-arith
        pointer-sign
        redundant-decls
        restrict
        return-type
        shadow
        sign-compare
        strict-aliasing
        strict-prototypes
        switch-default
        switch-enum
        undef
        unused-but-set-variable
        write-strings
    )
    set(WARNINGS_C
        pointer-sign
    )
    set(WARNINGS_DISABLED
        error=inline
        error=overloaded-virtual
        error=missing-field-initializers
        error=null-dereference
        error=strict-aliasing
        error=unused-parameter
        inline
        unused-parameter
    )
    set(WARNINGS_ERRORS
    )
    if(ENABLE_WERROR)
        list(APPEND WARNINGS error)
    endif()
endif()

generate_compiler_warning_flags(
    RESULTVAR
        WARNINGS_CFLAGS
    WARNINGS
        ${WARNINGS}
        ${WARNINGS_C}
    DISABLED
        ${WARNINGS_DISABLED}
    ERRORS
        ${WARNINGS_ERRORS}
)
generate_compiler_warning_flags(
    CXX
    RESULTVAR
        WARNINGS_CXXFLAGS
    WARNINGS
        ${WARNINGS}
    DISABLED
        ${WARNINGS_DISABLED}
    ERRORS
        ${WARNINGS_ERRORS}
)

string(APPEND CMAKE_C_FLAGS " ${WARNINGS_CFLAGS}")
string(APPEND CMAKE_CXX_FLAGS " ${WARNINGS_CXXFLAGS}")

# let wine be able to show file and lines in backtrace
if(DBUS_USE_WINE)
    string(APPEND CMAKE_C_FLAGS " -gdwarf-2")
    string(APPEND CMAKE_CXX_FLAGS " -gdwarf-2")
endif()

if(UNIX AND NOT DBUS_DISABLE_ASSERT)
    # required for backtrace
    if (APPLE)

=== meson_options.txt ===
# Copyright © 2019-2020 Salamandar <felix@piedallu.me>
# SPDX-License-Identifier: MIT
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.

option(
  'apparmor',
  type: 'feature',
  value: 'auto',
  description: 'AppArmor support'
)

option(
  'asserts',
  type: 'boolean',
  value: false,
  description: 'Include assertion checks'
)

option(
  'checks',
  type: 'boolean',
  value: true,
  description: 'Check for usage errors at public API'
)

option(
  'dbus_daemondir',
  type: 'string',
  description: 'Directory for installing the dbus-daemon'
)

option(
  'dbus_user',
  type: 'string',
  description: 'User for running the system dbus-daemon',
  value: 'messagebus'
)

option(
  'dbus_session_bus_connect_address',
  type: 'string',
  value: '',
  description: 'Fallback address for a session bus client to connect to',
)

option(
  'dbus_session_bus_listen_address',
  type: 'string',
  value: '',
  description: 'Default address for a session bus to listen on',
)

option(
  'doxygen_docs',
  type: 'feature',
  value: 'auto',
  description: 'Build Doxygen documentation'
)

option(
  'ducktype_docs',
  type: 'feature',
  value: 'auto',
  description: 'Build Ducktype documentation'
)

option(
  'embedded_tests',
  type: 'boolean',
  value: false,
  description: 'Enable unit test code in the library and binaries'
)

option(
  'epoll',
  type: 'feature',
  value: 'auto',
  description: 'Use epoll(4) on Linux'
)

option(
  'inotify',
  type: 'feature',
  value: 'auto',
  description: 'Inotify support on Linux'
)

option(
  'installed_tests',
  type: 'boolean',
  value: false,
  description: 'Install automated tests for "as-installed" testing'
)

option(
  'kqueue',
  type: 'feature',
  value: 'auto',
  description: 'Kqueue support'
)

option(
  'launchd',
  type: 'feature',
  value: 'auto',
  description: 'Launchd auto-launch support'
)

option(
  'launchd_agent_dir',
  type: 'string',
  description: 'Directory to put the launchd agent'
)

option(
  'libaudit',
  type: 'feature',
  value: 'auto',
  description: 'Audit logging support for SELinux and AppArmor'
)

option(
  'message_bus',
  type: 'boolean',
  value: 'true',
  description: 'Enable dbus-daemon'
)

option(
  'modular_tests',
  type: 'feature',
  value: 'auto',
  description: 'Enable modular regression tests (requires GLib)'
)

option(
  'qch_dir',
  type: 'string',
  description: 'Directory to put the Qt help file'
)

option(
  'qt_help',
  type: 'feature',
  value: 'auto',
  description: 'Build Qt help documentation'
)

option(
  'relocation',
  type: 'feature',
  value: 'auto',
  description: 'Make pkg-config metadata relocatable'
)

# Deliberately not named runstatedir to avoid colliding with
# https://github.com/mesonbuild/meson/issues/4141
option(
  'runtime_dir',
  type: 'string',
  value: '',
  description: 'Directory for transient runtime state [default: LOCALSTATEDIR/run or /run]'
)

option(
  'selinux',
  type: 'feature',
  value: 'auto',
  description: 'SELinux support'
)

option(
  'session_socket_dir',
  type: 'string',
  description: 'Where to put sockets for the per-login-session message bus'
)

option(
  'solaris_console_owner_file',
  type: 'string',
  value: '',
  description: 'File to determine current console owner on Solaris (or "auto")'
)

option(
  'stats',
  type: 'boolean',
  value: true,
  description: 'Enable bus daemon usage statistics'
)

option(
  'system_pid_file',
  type: 'string',
  description: 'PID file for systemwide daemon'
)

option(
  'system_socket',
  type: 'string',
  description: 'UNIX domain socket for systemwide daemon'
)

option(
  'systemd_system_unitdir',
  type: 'string',
  description: 'Directory for systemd system service files'
)

option(
  'systemd_user_unitdir',
  type: 'string',
  description: 'Directory for systemd user service files'
)

option(
  'systemd',
  type: 'feature',
  value: 'auto',
  description: 'Systemd at_console support'
)

option(
  'test_socket_dir',
  type: 'string',
  description: 'Where to put sockets for make check'
)

option(
  'test_user',
  type: 'string',
  description: 'Unprivileged user for regression tests, other than root and the dbus_user',
  value: 'nobody'
)

option(
  'tools',
  type: 'boolean',
  value: 'true',
  description: 'Enable CLI tools such as dbus-send and dbus-monitor'
)

option(
  'traditional_activation',
  type: 'boolean',
  value: true,
  description: 'Build support for service activation without using SystemdService'
)

option(
  'user_session',
  type: 'boolean',
  value: true,
  description: 'Enable user-session semantics for session bus under systemd'
)

option(
  'valgrind',
  type: 'feature',
  value: 'disabled',
  description: 'Build with Valgrind instrumentation (note that this currently adds a hard dependency on valgrind)'
)

option(
  'verbose_mode',
  type: 'boolean',
  value: false,
  description: 'Support verbose debug mode'
)

option(
  'x11_autolaunch',
  type: 'feature',
  value: 'auto',
  description: 'Build with X11 auto-launch support'
)

option(
  'xml_docs',
  type: 'feature',
  value: 'auto',
  description: 'Build XML documentation'
)

option(
  'windows_output_debug_string',
  type: 'boolean',
  value: false,
  description: 'use OutputDebugString() to log messages to Windows debug port'
)

=== dbus/CMakeLists.txt ===
configure_file(dbus-arch-deps.h.in ${CMAKE_CURRENT_BINARY_DIR}/dbus-arch-deps.h )

add_definitions(-DDBUS_COMPILATION)

set(dbusinclude_HEADERS
    dbus.h
    dbus-address.h
    dbus-bus.h
    dbus-connection.h
    dbus-errors.h
    dbus-macros.h
    dbus-memory.h
    dbus-message.h
    dbus-misc.h
    dbus-pending-call.h
    dbus-protocol.h
    dbus-server.h
    dbus-shared.h
    dbus-signature.h
    dbus-syntax.h
    dbus-threads.h
    dbus-types.h
)
set(dbusinclude_ARCH_HEADERS
    ${CMAKE_CURRENT_BINARY_DIR}/dbus-arch-deps.h
)

### source code that goes in the installed client library
### and is specific to library functionality
set(DBUS_LIB_SOURCES
    dbus-address.c
    dbus-auth.c
    dbus-bus.c
    dbus-connection.c
    dbus-credentials.c
    dbus-errors.c
    dbus-keyring.c
    dbus-marshal-header.c
    dbus-marshal-byteswap.c
    dbus-marshal-recursive.c
    dbus-marshal-validate.c
    dbus-message.c
    dbus-misc.c
    dbus-nonce.c
    dbus-object-tree.c
    dbus-pending-call.c
    dbus-resources.c
    dbus-server.c
    dbus-server-socket.c
    dbus-server-debug-pipe.c
    dbus-sha.c
    dbus-signature.c
    dbus-syntax.c
    dbus-timeout.c
    dbus-threads.c
    dbus-transport.c
    dbus-transport-socket.c
    dbus-watch.c
)


if(UNIX)
    set(DBUS_LIB_SOURCES ${DBUS_LIB_SOURCES}
        dbus-uuidgen.c
        dbus-transport-unix.c
        dbus-server-unix.c
    )
else(UNIX)
    set(DBUS_LIB_SOURCES ${DBUS_LIB_SOURCES}
        dbus-transport-win.c
        dbus-server-win.c
    )
endif()

set(DBUS_LIB_HEADERS
    dbus-auth.h
    dbus-connection-internal.h
    dbus-credentials.h
    dbus-keyring.h
    dbus-marshal-header.h
    dbus-marshal-byteswap.h
    dbus-marshal-recursive.h
    dbus-marshal-validate.h
    dbus-message-internal.h
    dbus-message-private.h
    dbus-misc.h
    dbus-object-tree.h
    dbus-protocol.h
    dbus-resources.h
    dbus-server-debug-pipe.h
    dbus-server-protected.h
    dbus-sha.h
    dbus-timeout.h
    dbus-threads.h
    dbus-threads-internal.h
    dbus-transport.h
    dbus-transport-protected.h
    dbus-uuidgen.h
    dbus-watch.h
    ${PROJECT_BINARY_DIR}/config.h
)
if(UNIX)
    set(DBUS_LIB_HEADERS ${DBUS_LIB_HEADERS}
        dbus-transport-unix.h
    )
else(UNIX)
    set(DBUS_LIB_HEADERS ${DBUS_LIB_HEADERS}
        dbus-transport-win.h
    )
endif()


### source code that goes in the installed client library
### AND is generic utility functionality used by the 
### daemon or test programs (all symbols in here should 
### be underscore-prefixed)
set(DBUS_SHARED_SOURCES
    dbus-dataslot.c
    dbus-file.c
    dbus-hash.c
    dbus-internals.c
    dbus-list.c
    dbus-marshal-basic.c
    dbus-memory.c
    dbus-mempool.c
    dbus-string.c
    dbus-sysdeps.c
    dbus-pipe.c
)

set(DBUS_SHARED_HEADERS
    dbus-dataslot.h
    dbus-file.h
    dbus-hash.h
    dbus-internals.h
    dbus-list.h
    dbus-macros-internal.h
    dbus-marshal-basic.h
    dbus-mempool.h
    dbus-string.h
    dbus-string-private.h
    dbus-pipe.h
    dbus-sysdeps.h
)

if(DBUS_ENABLE_EMBEDDED_TESTS)
    set(DBUS_SHARED_SOURCES ${DBUS_SHARED_SOURCES} dbus-test-tap.c)
    set(DBUS_SHARED_HEADERS ${DBUS_SHARED_HEADERS} dbus-test-tap.h)
    # ... else they are in the test library instead
endif()

### source code that is generic utility functionality used
### by the bus daemon or test apps, but is NOT included
### in the D-BUS client library (all symbols in here 
### should be underscore-prefixed but don't really need 
### to be unless they move to DBUS_SHARED_SOURCES later)
set(DBUS_UTIL_SOURCES
    dbus-asv-util.c
    dbus-mainloop.c
    dbus-message-util.c
    dbus-shell.c
    dbus-pollable-set.c
    dbus-pollable-set-poll.c
    dbus-string-util.c
    dbus-sysdeps-util.c
)

set(DBUS_UTIL_HEADERS
    dbus-asv-util.h
    dbus-mainloop.h
    dbus-shell.h
    dbus-pollable-set.h
    dbus-spawn.h
    dbus-test.h
)

### platform specific settings
if(WIN32)
    set(DBUS_SHARED_SOURCES ${DBUS_SHARED_SOURCES}
        dbus-backtrace-win.c
        dbus-file-win.c
        dbus-init-win.cpp
        dbus-sysdeps-win.c
        dbus-pipe-win.c
        dbus-sysdeps-thread-win.c
    )
    set(DBUS_SHARED_HEADERS ${DBUS_SHARED_HEADERS}
        dbus-init-win.h
        dbus-sockets-win.h
        dbus-sysdeps-win.h
    )
    set(DBUS_UTIL_SOURCES ${DBUS_UTIL_SOURCES}
        dbus-spawn-win.c
        dbus-sysdeps-util-win.c
    )
    if(WINCE)
    set(DBUS_SHARED_SOURCES ${DBUS_SHARED_SOURCES}
        dbus-sysdeps-wince-glue.c
    )
    set(DBUS_SHARED_HEADERS ${DBUS_SHARED_HEADERS}
        dbus-sysdeps-wince-glue.h
    )
    endif()
else(WIN32)
    set(DBUS_SHARED_SOURCES ${DBUS_SHARED_SOURCES}
        dbus-file-unix.c
        dbus-pipe-unix.c
        dbus-sysdeps-unix.c
        dbus-sysdeps-pthread.c
        dbus-userdb.c
    )
    set(DBUS_SHARED_HEADERS ${DBUS_SHARED_HEADERS}
        dbus-transport-unix.h
        dbus-sysdeps-unix.h
        dbus-userdb.h
    )
    set(DBUS_UTIL_SOURCES ${DBUS_UTIL_SOURCES}
        dbus-userdb-util.c
        dbus-sysdeps-util-unix.c
    )
    if(ENABLE_TRADITIONAL_ACTIVATION)
        set(DBUS_UTIL_SOURCES ${DBUS_UTIL_SOURCES}
            dbus-spawn-unix.c
        )
    endif()
endif()

if(DBUS_HAVE_LINUX_EPOLL)
    set(DBUS_UTIL_SOURCES
        ${DBUS_UTIL_SOURCES}
        dbus-pollable-set-epoll.c
    )
endif()

set(libdbus_SOURCES
    ${DBUS_LIB_SOURCES}
    ${DBUS_SHARED_SOURCES}
)

set(libdbus_HEADERS
    ${DBUS_LIB_HEADERS}
    ${DBUS_SHARED_HEADERS}
)

if(DEFINED DBUS_LIBRARY_REVISION)
    math(EXPR DBUS_LIBRARY_MAJOR "${DBUS_LIBRARY_CURRENT} - ${DBUS_LIBRARY_AGE}")
endif()

if(WIN32)
    add_library_version_info(libdbus_SOURCES "${CMAKE_SHARED_LIBRARY_PREFIX}dbus-1-${DBUS_LIBRARY_MAJOR}")
endif()

if(MSVC_IDE)
    project_source_group(${GROUP_CODE} DBUS_LIB_SOURCES DBUS_LIB_HEADERS)
    project_source_group(${GROUP_CODE} DBUS_SHARED_SOURCES DBUS_SHARED_HEADERS)
    project_source_group(${GROUP_CODE} DBUS_UTIL_SOURCES DBUS_UTIL_SOURCES)
endif()

# for clock_getres() on e.g. GNU/Linux (but not Android)
find_library(LIBRT rt)

# for socket() on QNX
find_library(LIBSOCKET socket)

### Client library
add_library(dbus-1 SHARED
    ${libdbus_SOURCES}
    ${libdbus_HEADERS}
)

if(WIN32)
    if(DEFINED DBUS_LIBRARY_REVISION)
        set_target_properties(dbus-1 PROPERTIES SUFFIX "-${DBUS_LIBRARY_MAJOR}${CMAKE_SHARED_LIBRARY_SUFFIX}")
        add_custom_command(TARGET dbus-1 POST_BUILD
            COMMAND ${CMAKE_COMMAND} -E copy "$<TARGET_FILE:dbus-1>" "$<TARGET_FILE_DIR:dbus-1>/${CMAKE_SHARED_LIBRARY_PREFIX}dbus-1${CMAKE_SHARED_LIBRARY_SUFFIX}"
            COMMENT "Create non versioned dbus-1 library for legacy applications"
        )
        install(FILES ${LEGACY_FILE_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})
    endif()
    if(WINCE)
        target_link_libraries(dbus-1 ws2)
    else(WINCE)
        target_link_libraries(dbus-1 ws2_32 advapi32 netapi32 iphlpapi dbghelp)
    endif()
else(WIN32)
    if(DEFINED DBUS_LIBRARY_REVISION)
        set_target_properties(dbus-1 PROPERTIES VERSION ${DBUS_LIBRARY_MAJOR}.${DBUS_LIBRARY_AGE}.${DBUS_LIBRARY_REVISION} SOVERSION ${DBUS_LIBRARY_MAJOR})
    endif()
    target_link_libraries(dbus-1 ${CMAKE_THREAD_LIBS_INIT} ${SYSTEMD_LIBRARIES})
    if(LIBRT)
        target_link_libraries(dbus-1 ${LIBRT})
    endif()
    if(LIBSOCKET)
        target_link_libraries(dbus-1 ${LIBSOCKET})
    endif()
    if (HAVE_BACKTRACE)
        target_link_libraries(dbus-1 ${Backtrace_LIBRARY})
        target_include_directories(dbus-1 PRIVATE ${Backtrace_INCLUDE_DIR})
    endif()
endif()

target_include_directories(dbus-1 INTERFACE $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/dbus-1.0>;$<INSTALL_INTERFACE:${CMAKE_INSTALL_LIBDIR}/dbus-1.0/include>)

# Assume that Linux has -Wl,--version-script and other platforms do not
if("${CMAKE_SYSTEM_NAME}" STREQUAL "Linux")
    set(SOVERSION ${DBUS_LIBRARY_MAJOR})
    configure_file(Version.in ${CMAKE_CURRENT_BINARY_DIR}/Version)
    set_target_properties(dbus-1 PROPERTIES LINK_FLAGS -Wl,--version-script=${CMAKE_CURRENT_BINARY_DIR}/Version)
endif()

install(TARGETS dbus-1 ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES ${dbusinclude_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dbus-1.0/dbus)
install(FILES ${dbusinclude_ARCH_HEADERS} DESTINATION ${CMAKE_INSTALL_LIBDIR}/dbus-1.0/include/dbus)

### Internal library, used for the daemon, tools and tests, compiled statically.

add_library(dbus-internal ${DBUS_INTERNAL_ADD_LIBRARY_OPTIONS}
    ${DBUS_UTIL_SOURCES}
    ${DBUS_UTIL_HEADERS}
)
target_link_libraries(dbus-internal dbus-1)
if(WIN32)
    if(WINCE)
        target_link_libraries(dbus-internal ws2)
    else(WINCE)
        target_link_libraries(dbus-internal ws2_32 advapi32 netapi32 iphlpapi)
    endif()
else(WIN32)
    target_link_libraries(dbus-internal ${CMAKE_THREAD_LIBS_INIT})
    if(LIBRT)
        target_link_libraries(dbus-internal ${LIBRT})
    endif()
    if(LIBSOCKET)
        target_link_libraries(dbus-internal ${LIBSOCKET})
    endif()
endif()

if(UNIX)
# set version info
endif()


## mop up the gcov files
#clean-local:
#/bin/rm *.bb *.bbg *.da *.gcov .libs/*.da .libs/*.bbg || true

=== test/CMakeLists.txt ===

add_definitions(${DBUS_INTERNAL_CLIENT_DEFINITIONS})

include_directories(.)

set(DBUS_SESSION_BUS_LISTEN_ADDRESS ${TEST_LISTEN})

add_library(dbus-testutils STATIC
    disable-crash-handling.c
    disable-crash-handling.h
    test-utils.h
    test-utils.c
)
target_link_libraries(dbus-testutils ${DBUS_INTERNAL_LIBRARIES})

if(DBUS_ENABLE_EMBEDDED_TESTS)
    add_subdirectory( name-test )
endif()

set(manual-dir-iter_SOURCES
    manual-dir-iter.c
)

set(test-service_SOURCES
    test-service.c
)

set(test-names_SOURCES
    test-names.c
)

set(break_loader_SOURCES
    break-loader.c
)

set(test-shell-service_SOURCES
    test-shell-service.c
)

set(test-shell_SOURCES
    shell-test.c
)

set(test-atomic_SOURCES
    internals/atomic.c
)

set(test-spawn_SOURCES
    spawn-test.c
)

set(test-exit_SOURCES
    test-exit.c
)

# We have to compile a separate copy of disable-crash-handling.c for
# test-segfault rather than using the libdbus-testutils library, because
# otherwise it would fail to link when using the AddressSanitizer.
set(test-segfault_SOURCES
    disable-crash-handling.c
    disable-crash-handling.h
    test-segfault.c
)

set(test-sleep-forever_SOURCES
    test-sleep-forever.c
)

set(manual-tcp_SOURCES
    manual-tcp.c
)

set(manual-paths_SOURCES
    manual-paths.c
)

add_helper_executable(manual-dir-iter ${manual-dir-iter_SOURCES} ${DBUS_INTERNAL_LIBRARIES})
add_helper_executable(test-service ${test-service_SOURCES} dbus-testutils)
add_helper_executable(test-names ${test-names_SOURCES} dbus-testutils)
add_test_executable(test-shell ${test-shell_SOURCES} ${DBUS_INTERNAL_LIBRARIES})
add_test_executable(test-string internals/strings.c dbus-testutils)
add_test_executable(test-printf internals/printf.c dbus-testutils)
add_helper_executable(test-privserver test-privserver.c dbus-testutils)
add_helper_executable(test-shell-service ${test-shell-service_SOURCES} dbus-testutils)
if(NOT WINCE AND ENABLE_TRADITIONAL_ACTIVATION)
    add_test_executable(test-spawn-oom internals/spawn-oom.c dbus-testutils)
endif()
if(ENABLE_TRADITIONAL_ACTIVATION)
    add_helper_executable(test-spawn ${test-spawn_SOURCES} ${DBUS_INTERNAL_LIBRARIES})
endif()
add_helper_executable(test-exit ${test-exit_SOURCES} ${DBUS_INTERNAL_LIBRARIES})
# the second argument of add_helper_executable() is a whitespace-separated
# list of source files and the third and subsequent arguments are libraries
# to link, hence the quoting here
add_helper_executable(test-segfault "${test-segfault_SOURCES}")
add_helper_executable(test-sleep-forever ${test-sleep-forever_SOURCES} ${DBUS_INTERNAL_LIBRARIES})
add_helper_executable(manual-tcp ${manual-tcp_SOURCES} ${DBUS_INTERNAL_LIBRARIES})
add_helper_executable(manual-backtrace manual-backtrace.c dbus-1)
if(WIN32)
    add_helper_executable(manual-paths ${manual-paths_SOURCES} dbus-testutils)
endif()

if(DBUS_ENABLE_EMBEDDED_TESTS)
    add_test_executable(test-atomic ${test-atomic_SOURCES} dbus-testutils)
    add_test_executable(test-hash internals/hash.c dbus-testutils)
    set_target_properties(test-hash PROPERTIES COMPILE_FLAGS ${DBUS_INTERNAL_CLIENT_DEFINITIONS})

    set(SOURCES
        internals/dbus-marshal-recursive-util.c
        internals/dbus-marshal-recursive-util.h
        internals/marshal-recursive.c
    )
    add_test_executable(test-marshal-recursive "${SOURCES}" dbus-testutils)
    set_target_properties(test-marshal-recursive PROPERTIES COMPILE_FLAGS ${DBUS_INTERNAL_CLIENT_DEFINITIONS})

    set(SOURCES
        internals/dbus-marshal-recursive-util.c
        internals/dbus-marshal-recursive-util.h
        internals/dbus-message-factory.c
        internals/dbus-message-factory.h
        internals/dbus-message-util.c
        internals/dbus-message-util.h
        internals/message-internals.c
    )
    add_test_executable(test-message-internals "${SOURCES}" dbus-testutils)
    set_target_properties(test-message-internals PROPERTIES COMPILE_FLAGS ${DBUS_INTERNAL_CLIENT_DEFINITIONS})

    set(SOURCES
        internals/address.c
        internals/dbus-auth-script.c
        internals/dbus-auth-script.h
        internals/dbus-auth-util.c
        internals/dbus-credentials-util.c
        internals/dbus-marshal-byteswap-util.c
        internals/dbus-marshal-recursive-util.c
        internals/dbus-marshal-recursive-util.h
        internals/dbus-marshal-validate-util.c
        internals/dbus-string-util.c
        internals/dbus-sysdeps-util.c
        internals/mempool.c
        internals/misc-internals.c
        internals/misc-internals.h
        internals/sha.c
    )
    add_test_executable(test-misc-internals "${SOURCES}" dbus-testutils)
    set_target_properties(test-misc-internals PROPERTIES COMPILE_FLAGS ${DBUS_INTERNAL_CLIENT_DEFINITIONS})

    add_test_executable(test-platform-mutex test-platform-mutex.c ${DBUS_INTERNAL_LIBRARIES} dbus-testutils)

    set(SOURCES bus/main.c bus/common.c bus/common.h)
    add_test_executable(test-bus "${SOURCES}" dbus-daemon-internal dbus-testutils ${EXPAT_LIBRARIES})
    set_target_properties(test-bus PROPERTIES COMPILE_FLAGS ${DBUS_INTERNAL_CLIENT_DEFINITIONS})

    if(ENABLE_TRADITIONAL_ACTIVATION)
        set(SOURCES bus/normal-activation.c bus/common.c bus/common.h)
        add_test_executable(test-bus-normal-activation "${SOURCES}" dbus-daemon-internal dbus-testutils ${EXPAT_LIBRARIES})
        set_target_properties(test-bus-normal-activation PROPERTIES COMPILE_FLAGS ${DBUS_INTERNAL_CLIENT_DEFINITIONS})
    endif()


    set(SOURCES bus/dispatch-sha1.c bus/common.c bus/common.h)
    add_test_executable(test-bus-dispatch-sha1 "${SOURCES}" dbus-daemon-internal dbus-testutils ${EXPAT_LIBRARIES})
    set_target_properties(test-bus-dispatch-sha1 PROPERTIES COMPILE_FLAGS ${DBUS_INTERNAL_CLIENT_DEFINITIONS})

    if(NOT WIN32)
        add_test_executable(test-bus-system bus/system.c launch-helper-internal dbus-testutils)
        add_test_executable(test-counter internals/counter.c dbus-testutils)
        if(ENABLE_TRADITIONAL_ACTIVATION)
            add_test_executable(test-bus-launch-helper-oom bus/launch-helper-oom.c launch-helper-internal dbus-testutils)
            add_helper_executable(dbus-daemon-launch-helper-for-tests bus/launch-helper-for-tests.c launch-helper-internal)

            set(SOURCES bus/failed-helper-activation.c bus/common.c bus/common.h)
            add_test_executable(test-bus-failed-helper-activation "${SOURCES}" dbus-daemon-internal dbus-testutils ${EXPAT_LIBRARIES})
            set_target_properties(test-bus-failed-helper-activation PROPERTIES COMPILE_FLAGS ${DBUS_INTERNAL_CLIENT_DEFINITIONS})

            set(SOURCES bus/helper-activation.c bus/common.c bus/common.h)
            add_test_executable(test-bus-helper-activation "${SOURCES}" dbus-daemon-internal dbus-testutils ${EXPAT_LIBRARIES})
            set_target_properties(test-bus-helper-activation PROPERTIES COMPILE_FLAGS ${DBUS_INTERNAL_CLIENT_DEFINITIONS})
        endif()
    endif()
endif()

if(DBUS_WITH_GLIB)
    message(STATUS "with glib test apps")

    add_library(dbus-testutils-glib STATIC
        test-utils-glib.h
        test-utils-glib.c
    )
    target_link_libraries(dbus-testutils-glib dbus-testutils ${DBUS_INTERNAL_LIBRARIES})

    add_definitions(
        ${GLIB2_DEFINITIONS}
    )
    include_directories(
        ${GLIB2_INCLUDE_DIR}
    )

    set(TEST_LIBRARIES ${DBUS_INTERNAL_LIBRARIES} dbus-testutils dbus-testutils-glib ${GLIB2_LIBRARIES})

    add_test_executable(test-assertions internals/assertions.c ${TEST_LIBRARIES})
    add_test_executable(test-corrupt corrupt.c ${TEST_LIBRARIES})
    add_test_executable(test-dbus-daemon dbus-daemon.c ${TEST_LIBRARIES})
    add_test_executable(test-dbus-daemon-eavesdrop dbus-daemon-eavesdrop.c ${TEST_LIBRARIES})
    add_test_executable(test-desktop-file internals/desktop-file.c ${TEST_LIBRARIES})
    add_test_executable(test-fdpass fdpass.c ${TEST_LIBRARIES})
    add_test_executable(test-header-fields header-fields.c ${TEST_LIBRARIES})
    add_test_executable(test-loopback loopback.c ${TEST_LIBRARIES})
    add_test_executable(test-marshal marshal.c ${TEST_LIBRARIES})
    add_test_executable(test-monitor monitor.c ${TEST_LIBRARIES})
    add_test_executable(test-refs internals/refs.c ${TEST_LIBRARIES})
    add_test_executable(test-relay relay.c ${TEST_LIBRARIES})
    add_test_executable(test-server-oom internals/server-oom.c ${TEST_LIBRARIES})
    add_test_executable(test-syntax syntax.c ${TEST_LIBRARIES})
    add_test_executable(test-sysdeps internals/sysdeps.c ${TEST_LIBRARIES})
    add_test_executable(test-syslog internals/syslog.c ${TEST_LIBRARIES})
    add_test_executable(test-uid-permissions uid-permissions.c ${TEST_LIBRARIES})
    add_test_executable(test-userdb internals/userdb.c ${TEST_LIBRARIES})
    add_helper_executable(manual-authz manual-authz.c ${TEST_LIBRARIES})
    add_helper_executable(manual-test-thread-blocking thread-blocking.c ${TEST_LIBRARIES})
endif()

### keep these in creation order, i.e. uppermost dirs first 
set(TESTDIRS
    data
    data/invalid-messages
    data/auth
    data/sha-1
    data/systemd-activation
    data/valid-config-files
    data/valid-config-files/basic.d
    data/valid-config-files/session.d
    data/valid-config-files-system
    data/valid-config-files-system/system.d
    data/valid-messages
    data/valid-service-files
    data/valid-service-files-system
    data/invalid-config-files
    data/invalid-config-files-system
    data/invalid-messages
    data/invalid-service-files-system
    data/equiv-config-files
    data/equiv-config-files/basic
    data/equiv-config-files/basic/basic.d
    data/equiv-config-files/entities
    data/equiv-config-files/entities/basic.d
)

foreach(DIR ${TESTDIRS})
    file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/${DIR})
endforeach()

### copy tests to builddir so that generated tests and static tests 
### are all in one place.
if(NOT ENABLE_VERBOSE_CONFIG)
    set(HINT " (use -DENABLE_VERBOSE_CONFIG=ON to see the list of files)")
endif()

message(STATUS "Copying test files to test directory${HINT}")

macro(dbus_configure_file _src _dest)
    configure_file(${_src} ${_dest} ${ARGN})
    if(ENABLE_VERBOSE_CONFIG)
        message("   generating ${_dest}")
    endif()
endmacro()

foreach(FILE_TYPE *.message-raw *.auth-script *.sha1 *.txt *.conf *.service)
    foreach(DIR ${TESTDIRS})
        file(GLOB FILES "${DIR}/${FILE_TYPE}" )
        foreach(FILE ${FILES})
            get_filename_component(FILENAME ${FILE} NAME)
            set(TARGET ${CMAKE_CURRENT_BINARY_DIR}/${DIR}/${FILENAME})
            dbus_configure_file(${FILE} ${TARGET} COPYONLY)
        endforeach()
    endforeach()
endforeach()

### generate test files
message(STATUS "Generating test files from templates into test directory${HINT}")

foreach(FILE_TYPE *.conf.in *.service.in)
    foreach(DIR ${TESTDIRS})
    file(GLOB FILES "${DIR}/${FILE_TYPE}" )
    foreach(FILE ${FILES})
        get_filename_component(FILENAME ${FILE} NAME)
        string(REGEX REPLACE "\\.in$" "" FILENAME ${FILENAME})
        set(TARGET ${CMAKE_CURRENT_BINARY_DIR}/${DIR}/${FILENAME})
        dbus_configure_file(${FILE} ${TARGET} @ONLY IMMEDIATE)
    endforeach()
    endforeach()
endforeach()

message(STATUS "Copying generated bus config files to test directory${HINT}")
dbus_configure_file(../bus/session.conf.in ${PROJECT_BINARY_DIR}/test/data/valid-config-files/session.conf @ONLY)
dbus_configure_file(../bus/system.conf.in ${PROJECT_BINARY_DIR}/test/data/valid-config-files-system/system.conf @ONLY)

=== debian/changelog ===
dbus (1.15.90-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind
  * added runit service scripts
  * edit post/pre scripts to deal with runit and sysVinit

 -- anticapitalista <antix@operamail.com>  Sat, 07 Dec 2024 20:03:27 +0200

dbus (1.15.90-1) unstable; urgency=medium

  * New upstream release candidate (effectively 1.16.0 rc1)
  * Switch packaging branch to debian/unstable.
    dbus 1.15.90 is a release candidate for 1.16.0, so it can go to
    testing/unstable.
  * d/salsa-ci.yml: Use recommended recipe
  * Drop patches, applied upstream
  * d/libdbus-1-3.symbols.in: Stop distinguishing between development versions.
    Behave as though all symbols added in a development branch had been
    added in the stable release that followed it, instead. This simplifies
    the generated dependency.
    Leave the one symbol that was added during 1.15.x as-is, since we
    have not yet reached 1.16.0.
  * Add references to #1072756, #1085407 in the 1.14.10-5 changelog entry

 -- Simon McVittie <smcv@debian.org>  Fri, 06 Dec 2024 15:38:26 +0000

dbus (1.15.12-1) experimental; urgency=medium

  * New upstream development release
  * Merge packaging changes from unstable
  * d/p/doc-Substitute-DBUS_APIDOC_LINK-from-Meson-build-not-just.patch,
    d/p/tests-Only-check-whether-the-first-1024-fds-are-close-on-.patch:
    Drop patches that are included in the new upstream release
  * Update doc-base registration and documentation symlinks for new layout
  * d/p/doc-Use-api-html-to-link-to-Doxygen-docs-in-Devhelp-index.patch,
    d/p/doc-Use-the-top-level-index.html-as-the-table-of-contents.patch:
    Add proposed patches to fix the Devhelp documentation index
  * Enable assertions for the debug build.
    These were always meant to be enabled in the debug build (and disabled
    in the normal and udeb builds), but were accidentally disabled when
    switching from Autotools to Meson.

 -- Simon McVittie <smcv@debian.org>  Tue, 29 Oct 2024 16:47:09 +0000

dbus (1.15.10-1) experimental; urgency=medium

  * New upstream release
  * Merge packaging changes from unstable
    - No functional change, all changes were already in experimental
  * d/copyright: Update for deletion of m4/
  * Standards-Version: 4.7.0 (no changes required)
  * Refresh patch series (no functional change)
  * d/p/doc-Substitute-DBUS_APIDOC_LINK-from-Meson-build-not-just.patch:
    Add proposed patch to fix missing link from index to API docs

 -- Simon McVittie <smcv@debian.org>  Wed, 25 Sep 2024 17:35:27 +0100

dbus (1.15.8-4) experimental; urgency=medium

  * Move the shared library from /lib/MULTIARCH to /usr/lib/MULTIARCH
  * Merge packaging changes from unstable
    - dbus depends on usr-is-merged (>= 38~) (Closes: #1054650)
    - all other changes were already present in the experimental branch

 -- Simon McVittie <smcv@debian.org>  Sun, 24 Dec 2023 14:29:57 +0000

dbus (1.15.8-3) experimental; urgency=medium

  * Install systemd system units into /usr/lib/systemd/system.
    This was allowed by TC resolution #1053901. The shared library is still
    in /lib, for now.
    Build-depend on debhelper 13.11.6~ to ensure that the units are still
    picked up by dh_installsystemd.
  * Merge 1.14.10-1 packaging from unstable
    - No functional changes, equivalent fixes were already included in
      1.15.8 (for the upstream parts) and 1.15.8-2 (for the packaging)
  * Build-depend on pkgconf rather than pkg-config

 -- Simon McVittie <smcv@debian.org>  Sun, 22 Oct 2023 12:54:29 +0100

=== debian/control ===
Source: dbus
Section: admin
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Sjoerd Simons <sjoerd@debian.org>,
 Sebastian Dröge <slomo@debian.org>,
 Michael Biebl <biebl@debian.org>,
 Loic Minier <lool@dooz.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 debhelper (>= 13.11.6~),
 debhelper-compat (= 13),
 dh-exec,
 libapparmor-dev [linux-any],
 libaudit-dev [linux-any],
 libcap-ng-dev [linux-any],
 libexpat-dev,
 libglib2.0-dev <!nocheck> <!noinsttest>,
 libnss-wrapper <!nocheck>,
 libselinux1-dev [linux-any],
 libx11-dev,
 meson,
 pkgconf,
 valgrind-if-available,
 xml-core,
 xmlto <!nodoc>,
Build-Depends-Indep:
 doxygen <!nodoc>,
 ducktype <!nodoc>,
 xsltproc <!nodoc>,
 yelp-tools <!nodoc>,
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/utopia-team/dbus.git
Vcs-Browser: https://salsa.debian.org/utopia-team/dbus
Homepage: https://dbus.freedesktop.org/
Rules-Requires-Root: no

Package: dbus
Architecture: any
Priority: standard
Provides:
 dbus-system-bus (= ${binary:Version}),
 default-dbus-system-bus,
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 dbus-bin (= ${binary:Version}),
 dbus-daemon (= ${binary:Version}),
 dbus-system-bus-common (>= ${source:Version}),
 base-files (>= 13.4~) | usr-is-merged (>= 38~),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 default-dbus-session-bus | dbus-session-bus,
Multi-Arch: foreign
Description: simple interprocess messaging system (system message bus)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 D-Bus supports broadcast messages, asynchronous messages (thus
 decreasing latency), authentication, and more. It is designed to be
 low-overhead; messages are sent using a binary protocol, not using
 XML. D-Bus also supports a method call mapping for its messages, but
 it is not required; this makes using the system quite simple.
 .
 It comes with several bindings, including GLib, Python, Qt and Java.
 .
 This package provides a fully-functional D-Bus system bus with activation
 support, used for communication between system services, and depends on
 most of the other components of the reference implementation of D-Bus.
 .
 To provide a complete D-Bus session bus, install one of the packages
 that implement the dbus-session-bus virtual package, such as
 dbus-user-session. The recommended implementation is indicated by
 the default-dbus-session-bus virtual package.

Package: dbus-session-bus-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Breaks:
 dbus (<< 1.13.18-2~),
Replaces:
 dbus (<< 1.13.18-2~),
Description: simple interprocess messaging system (session bus configuration)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package contains the configuration files defining the behaviour of
 the D-Bus session bus, used for applications and per-user services.
 These are used by the reference implementation in the dbus package,
 and by the reimplementation in the dbus-broker package.
 .
 To provide a complete D-Bus session bus, install one of the packages
 that implement the dbus-session-bus virtual package, such as
 dbus-user-session. The recommended implementation is indicated by
 the default-dbus-session-bus virtual package.

Package: dbus-system-bus-common
Architecture: all
Multi-Arch: foreign
Depends:
 adduser,
 ${misc:Depends},
Breaks:
 dbus (<< 1.13.18-2~),
Replaces:
 dbus (<< 1.13.18-2~),
Description: simple interprocess messaging system (system bus configuration)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package contains the configuration files defining the behaviour of
 the D-Bus system bus, used for system services such as networking and
 storage management services. It is also responsible for creating the
 'messagebus' system user account used to run the system bus.
 These are used by the reference implementation in the dbus package,
 and by the reimplementation in the dbus-broker package.
 .
 To provide a complete D-Bus system bus, install one of the packages
 that implement the dbus-system-bus virtual package, such as dbus.
 The recommended implementation is indicated by the default-dbus-system-bus
 virtual package.

Package: dbus-bin
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 dbus (<< 1.13.18-2~),
Replaces:
 dbus (<< 1.13.18-2~),
Description: simple interprocess messaging system (command line utilities)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package contains the D-Bus command-line utilities such as dbus-send
 and dbus-monitor.

Package: dbus-daemon
Architecture: any
Multi-Arch: foreign
Depends:
 dbus-bin (= ${binary:Version}),
 dbus-session-bus-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 dbus (<< 1.13.18-2~),
Replaces:
 dbus (<< 1.13.18-2~),
Description: simple interprocess messaging system (reference message bus)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package contains dbus-daemon, the reference implementation of a
 D-Bus message bus, and dbus-run-session, a utility to start a temporary
 session dbus-daemon in a constrained environment or for automated tests.
 .
 To provide a complete D-Bus session bus, install one of the packages
 that implement the dbus-session-bus virtual package, such as
 dbus-user-session. The recommended implementation is indicated by
 the default-dbus-session-bus virtual package.

Package: dbus-1-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Multi-Arch: foreign
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
Suggests:
 libdbus-1-dev,
Description: simple interprocess messaging system (documentation)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package contains the API documentation for D-Bus, as well as
 the protocol specification.
 .
 See the dbus description for more information about D-Bus in general.

Package: dbus-tests
Build-Profiles: <!noinsttest>
Section: misc
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 dbus,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gnome-desktop-testing,
Breaks:
 dbus-1-dbg (<< 1.11.10-2~),
Replaces:
 dbus-1-dbg (<< 1.11.10-2~),
Description: simple interprocess messaging system (test infrastructure)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides automated and manual tests for D-Bus, and the
 dbus-test-tool utility. It also provides copies of the D-Bus libraries and
 executables compiled with extra debug information and logging.
 .
 See the dbus package description for more information about D-Bus in general.

Package: dbus-udeb
Build-Profiles: <!noudeb>
Section: debian-installer
Package-Type: udeb
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: simple interprocess messaging system (minimal runtime)
 D-Bus is a message bus, used for sending messages between applications.
 .
 This package is a minimal version of the dbus-daemon and dbus-x11
 packages, for use in the Debian installer. It can run a session bus,
 but is not suitable for use as a system bus.

Package: dbus-user-session
Architecture: linux-any
Multi-Arch: foreign
Provides:
 dbus-session-bus,
 default-dbus-session-bus,
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 dbus-daemon (= ${binary:Version}) | dbus-broker,
 dbus-session-bus-common (>= ${source:Version}),
 libpam-systemd,
 systemd,
 ${misc:Depends},
Recommends:
 systemd-sysv,
Description: simple interprocess messaging system (systemd --user integration)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 On systemd systems, this package opts in to the session model in which
 a user's session starts the first time they log in, and does not end
 until all their login sessions have ended. This model merges all
 parallel non-graphical login sessions (text mode, ssh, cron, etc.), and up
 to one graphical session, into a single "user-session" or "super-session"
 within which all background D-Bus services are shared.
 .
 Multiple graphical sessions per user are not currently supported in this
 mode; as a result, it is particularly suitable for gdm, which responds to
 requests to open a parallel graphical session by switching to the existing
 graphical session and unlocking it.
 .
 To retain dbus' traditional session semantics, in which login sessions
 are artificially isolated from each other, remove this package and install
 dbus-x11 instead.
 .
 See the dbus package description for more information about D-Bus in general.

Package: dbus-x11
Architecture: any
Section: x11
Provides:
 dbus-session-bus,
 default-dbus-session-bus [!linux-any],
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 dbus-bin (= ${binary:Version}),
 dbus-daemon (= ${binary:Version}),
 dbus-session-bus-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: simple interprocess messaging system (X11 deps)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package contains the dbus-launch utility, which automatically
 launches one D-Bus session bus per X11 display per user. If the
 dbus-user-session package is also installed, it takes precedence over
 this package.
 .
 See the dbus description for more information about D-Bus in general.

Package: libdbus-1-3
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 dbus,
Section: libs
Description: simple interprocess messaging system (library)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 D-Bus supports broadcast messages, asynchronous messages (thus
 decreasing latency), authentication, and more. It is designed to be
 low-overhead; messages are sent using a binary protocol, not using
 XML. D-Bus also supports a method call mapping for its messages, but
 it is not required; this makes using the system quite simple.
 .
 It comes with several bindings, including GLib, Python, Qt and Java.
 .
 The message bus daemon can be found in the dbus-daemon package.

Package: libdbus-1-3-udeb
Build-Profiles: <!noudeb>
Section: debian-installer
Package-Type: udeb
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: simple interprocess messaging system (minimal library)
 D-Bus is a message bus, used for sending messages between applications.
 .
 This package is a minimal version of the libdbus-1-3 package,
 for use in the Debian installer.

Package: libdbus-1-dev
Section: libdevel
Multi-Arch: same
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libdbus-1-3 (= ${binary:Version}),
 pkgconf,
 ${misc:Depends},
 ${shlibs:Depends},
Description: simple interprocess messaging system (development headers)
 D-Bus is a message bus, used for sending messages between applications.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2002,2003 Colin Walters <walters@verbum.org>
# Copyright © 2003 Daniel Stone <daniels@debian.org>
# Copyright © 2006 Sjoerd Simons <sjoerd@debian.org>
# Copyright © 2011 Michael Biebl <biebl@debian.org>

export DEB_BUILD_MAINT_OPTIONS = hardening=+pie,+bindnow

include /usr/share/dpkg/default.mk

%:
	dh $@ $(dh_options)

libdbusN := $(shell sed -rn 's/Package:[[:space:]]*(libdbus-[0-9-]+)[[:space:]]*$$/\1/p' debian/control | head -n 1)
libdbus_soname := $(patsubst libdbus-1-%,libdbus-1.so.%,$(libdbusN))
debug_build_prefix := /usr/lib/dbus-1.0/debug-build
binaries := $(shell dh_listpackages)

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--gc-sections

dh_options = \
	--builddirectory=debian/build-main \
	--buildsystem=meson \
	--with xml-core \
	--without autoreconf \
	$(NULL)

common_configure_flags := \
	--libexecdir=lib/dbus-1.0 \
	-Dmessage_bus=true \
	-Dsystem_socket=/run/dbus/system_bus_socket \
	-Dtools=true \
	-Dtraditional_activation=true \
	$(NULL)


ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
common_configure_flags += --native-file $(CURDIR)/debian/meson-binaries.txt
else
common_configure_flags += --cross-file $(CURDIR)/debian/meson-binaries.txt
endif

normal_configure_flags := \
	-Ddefault_library=both \
	$(NULL)

ifeq ($(DEB_HOST_ARCH_OS),linux)
# Non-bootstrap build on Linux: add Linux-specifics
common_configure_flags += \
	-Dapparmor=enabled \
	-Dlibaudit=enabled \
	-Dselinux=enabled\
	-Dsession_socket_dir=/tmp \
	-Dsystemd=disabled \
	-Dsystemd_system_unitdir=/usr/lib/systemd/system \
	-Dtest_socket_dir=/tmp \
	$(NULL)
normal_configure_flags += \
	-Dsystemd_user_unitdir=/usr/lib/systemd/user \
	-Duser_session=true \
	$(NULL)
endif

debug_configure_flags := \
	-Dasserts=true \
	-Dchecks=true \
	-Ddefault_library=both \
	-Ddoxygen_docs=disabled \
	-Dducktype_docs=disabled \
	-Dvalgrind=auto \
	-Dverbose_mode=true \
	-Dxml_docs=disabled \
	--bindir='${debug_build_prefix}/bin' \
	--libdir='${debug_build_prefix}/lib' \
	--libexecdir='${debug_build_prefix}/libexec' \
	$(NULL)

udeb_configure_flags := \
	$(normal_configure_flags) \
	-Dapparmor=disabled \
	-Dasserts=false \
	-Dchecks=false \
	-Ddefault_library=shared \
	-Ddoxygen_docs=disabled \
	-Dducktype_docs=disabled \
	-Dinstalled_tests=false \
	-Dlibaudit=disabled \
	-Doptimization=s \
	-Dselinux=disabled \
	-Dstats=false \
	-Dsystemd=disabled \
	-Duser_session=false \
	-Dverbose_mode=false \
	-Dxml_docs=disabled \
	$(NULL)

ifneq ($(filter dbus-tests,$(binaries)),)
common_configure_flags += -Dinstalled_tests=true
else
common_configure_flags += -Dinstalled_tests=false
endif

# Some features are needed whenever we have build-time *or* installed tests
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS))$(filter dbus-tests,$(binaries)),nocheck)
debug_configure_flags += -Dembedded_tests=true
endif

ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
normal_configure_flags += -Dxml_docs=enabled
else
normal_configure_flags += -Dxml_docs=disabled
endif

ifneq ($(filter dbus-1-doc,$(binaries)),)
normal_configure_flags += -Ddoxygen_docs=enabled
normal_configure_flags += -Dducktype_docs=enabled
else
normal_configure_flags += -Ddoxygen_docs=disabled
normal_configure_flags += -Dducktype_docs=disabled
endif

override_dh_auto_configure:
	dh_auto_configure \
		-- \
		$(common_configure_flags) \
		$(normal_configure_flags) \
		$(NULL)
ifneq ($(filter dbus-tests,$(binaries)),)
	LDFLAGS='$(LDFLAGS) -Wl,-rpath,${debug_build_prefix}/lib' \
	dh_auto_configure \
		--builddirectory=debian/build-debug \
		-- \
		$(common_configure_flags) \
		$(debug_configure_flags) \
		$(NULL)
endif
ifneq ($(filter dbus-udeb,$(binaries)),)
	dh_auto_configure \
		--builddirectory=debian/build-udeb \
		-- \
		$(common_configure_flags) \
		$(udeb_configure_flags) \
		$(NULL)
endif

override_dh_auto_build:
	dh_auto_build
ifneq ($(filter dbus-tests,$(binaries)),)
	dh_auto_build --builddirectory=debian/build-debug
endif
ifneq ($(filter dbus-udeb,$(binaries)),)
	dh_auto_build --builddirectory=debian/build-udeb
endif

meson_test_flags = \
	--timeout-multiplier 3 \
	-v \
	$(NULL)

handle-test-failure:
ifeq ($(DEB_HOST_ARCH_OS),linux)
	@echo "Build-time tests failed, please debug"
	@false
else
	@echo "Ignoring build-time test failure on non-Linux for now"
endif

test_env = \
	-u DISPLAY \
	DBUS_TEST_HOMEDIR=$${HOME} \
	LD_PRELOAD=libnss_wrapper.so \
	NSS_WRAPPER_HOSTS=$(CURDIR)/debian/hosts \
	$(NULL)

override_dh_auto_test-arch:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	env $(test_env) \
		dh_auto_test -- $(meson_test_flags) \
		|| make -f debian/rules handle-test-failure
ifneq ($(filter dbus-tests,$(binaries)),)
	env $(test_env) \
		dh_auto_test --builddirectory=debian/build-debug -- $(meson_test_flags) \
		|| make -f debian/rules handle-test-failure
endif
ifneq ($(filter dbus-udeb,$(binaries)),)
	env $(test_env) \
		dh_auto_test --builddirectory=debian/build-udeb -- $(meson_test_flags) \
		|| make -f debian/rules handle-test-failure
endif
endif

override_dh_auto_test-indep:
	:

override_dh_auto_install:
ifneq ($(filter dbus-udeb,$(binaries)),)
	# udeb build
	dh_auto_install --builddirectory=debian/build-udeb --destdir=$(CURDIR)/debian/tmp-udeb
	cd $(CURDIR)/debian/tmp-udeb && find | LC_ALL=C sort
endif
ifneq ($(filter dbus-tests,$(binaries)),)
	# debug build
	dh_auto_install --builddirectory=debian/build-debug --destdir=$(CURDIR)/debian/tmp
	rm -rfv debian/tmp/etc
	rm -rfv debian/tmp/usr/include
	rm -rfv debian/tmp/usr/lib/systemd
	rm -rfv debian/tmp/usr/lib/sysusers.d
	rm -rfv debian/tmp/usr/share/dbus-1
	rm -rfv debian/tmp/usr/share/doc
	rm -rfv debian/tmp/usr/share/man
	rm -rfv debian/tmp/usr/share/xml
	mv debian/tmp/usr/share/installed-tests/dbus \
		debian/tmp/usr/share/installed-tests/dbus-debug-build
	sed -i -e \
		"s,^Exec=,Exec=sh -c 'export PATH=/usr/lib/dbus-1.0/debug-build/bin:\$$PATH; exec \"\$$@\"' sh ," \
		debian/tmp/usr/share/installed-tests/dbus-debug-build/*.test
	rm -f debian/tmp/${debug_build_prefix}/libexec/installed-tests/dbus/data/sha-1/Readme.txt
	cd $(CURDIR)/debian/tmp && find | LC_ALL=C sort
endif
	# normal build (do this last so that it overwrites the others)
	dh_auto_install
	rm -f debian/tmp/usr/lib/dbus-1.0/installed-tests/dbus/data/sha-1/Readme.txt
ifeq ($(filter nodoc pkg.dbus.minimal,$(DEB_BUILD_PROFILES)),)
	# Reproducible build: sed out the generated dates from the man pages.
	sed -i \
		-e '/^\.\\\" *Date: .*/d' \
		-e 's/^\(.TH "[^"]*" "[^"]*" \)"[^"]*"/\1""/' \
		debian/tmp/usr/share/man/man?/*
endif
ifeq ($(filter dbus-tests,$(binaries)),)
	# noinsttest builds dbus-test-tool but not dbus-tests
	rm -f debian/tmp/usr/bin/dbus-test-tool
endif
ifeq ($(filter dbus-1-doc,$(binaries)),)
	# nodoc builds still install a bit of documentation
	rm -fr debian/tmp/usr/share/doc/dbus
endif
	# Remove the legacy bus configuration files. We move their old
	# versions out of the way, include the moved names in the new
	# bus setup instead of the old names, and replace the old names
	# with a symlink to the new bus setup so that old dbus-daemons
	# can still reload their configuration.
	rm -f debian/tmp/etc/dbus-1/session.conf
	rm -f debian/tmp/etc/dbus-1/system.conf

ifeq ($(DEB_DISTRIBUTION),UNRELEASED)
# We can't expect the install files to be fully up to date for a snapshot.
dh_missing_options += --list-missing
else
dh_missing_options += --list-missing
endif

override_dh_missing:
	dh_missing $(dh_missing_options)

# Yes, we do need both --no- options here. https://bugs.debian.org/837528
override_dh_installinit:
	dh_installinit -pdbus --no-stop-on-upgrade --no-restart-after-upgrade

override_dh_installdocs:
	dh_installdocs --all AUTHORS NEWS README

debian/$(libdbusN).symbols: debian/$(libdbusN).symbols.in
	sed -e 's/$${DEB_VERSION}/${DEB_VERSION}/g' \
		< $< > $@

ifeq ($(DEB_DISTRIBUTION),UNRELEASED)
# We can't expect the symbols file to be fully up to date for a snapshot,
# so only fail if we broke ABI. This overrides the -c4 below.
export DPKG_GENSYMBOLS_CHECK_LEVEL = 1
endif

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://dbus.freedesktop.org/releases/dbus/dbus-(\d+\.\d*\..*)@ARCHIVE_EXT@
